#!/bin/bash

#  Commencer le script avec "#!/bin/bash -r" lance le script entier en mode
#+ restreint.

echo

echo "Changement de répertoire."
cd /usr/local
echo "Maintenant dans `pwd`"
echo "Je retourne à la maison."
cd
echo "Maintenant dans `pwd`"
echo

# Jusqu'ici, tout est en mode normal, non restreint.

set -r
# set --restricted    a le même effet.
echo "==&gt; Maintenant en mode restreint. &lt;=="

echo
echo

echo "Tentative de changement de répertoire en mode restreint."
cd ..
echo "Toujours dans `pwd`"

echo
echo

echo "\$SHELL = $SHELL"
echo "Tentative de changement de shell en mode restreint."
SHELL="/bin/ash"
echo
echo "\$SHELL= $SHELL"

echo
echo

echo "Tentative de redirection de sortie en mode restreint."
ls -l /usr/bin > bin.fichiers
ls -l bin.fichiers    # Essayez de lister le fichier que l'on a tenté de créer.

echo

exit 0
